DavenDaven Documentation
APIAPI ReferenceATSApplication Steps

Create application steps

POST
/ats/application-steps

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Application step DTO - The data transfer object for application steps

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ats/application-steps" \  -H "Content-Type: application/json" \  -d '[    {      "recorded_at": "2023-10-01T00:00:00Z",      "job_offer_reference": "REF123",      "candidate_ats_id": "CAND123",      "step": "Interview",      "application_ats_id": "APP123"    }  ]'
{
  "message": "string"
}
{
  "message": "string",
  "data": [
    {
      "id": 0,
      "recorded_at": "string",
      "job_offer_reference": "string",
      "job_offer_reference_2": "string",
      "job_offer_reference_3": "string",
      "job_offer_title": "string",
      "candidate_creation_date": "string",
      "candidate_mail": "string",
      "candidate_phone": "string",
      "candidate_ats_id": "string",
      "source": "string",
      "step": "string",
      "step_ats_id": "string",
      "application_ats_id": "string",
      "subsidiary": "string",
      "subsidiary_ats_id": "string"
    }
  ]
}
{
  "message": "string",
  "data": [
    {
      "id": 0,
      "recorded_at": "string",
      "job_offer_reference": "string",
      "job_offer_reference_2": "string",
      "job_offer_reference_3": "string",
      "job_offer_title": "string",
      "candidate_creation_date": "string",
      "candidate_mail": "string",
      "candidate_phone": "string",
      "candidate_ats_id": "string",
      "source": "string",
      "step": "string",
      "step_ats_id": "string",
      "application_ats_id": "string",
      "subsidiary": "string",
      "subsidiary_ats_id": "string"
    }
  ],
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}